Products API
Get Description
GET /api/v1/manager-core/products/description
Get product description.
Parameters:
id(query) - Product ID
Get Meta
GET /api/v1/manager-core/products/meta
Get product meta information.
Parameters:
id(query) - Product ID
Search Products
POST /api/v1/manager-core/products/{type}/search
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| q | string | Conditional* | min:3 (*required_without:id) |
| id | array | Conditional* | (*required_without:q) |
| currency | string | No | exists:currencies,code |
| category_id | integer | No | exists:product_categories,id |
| warehouse_id | integer | No | exists:warehouses,id |
| language | string | No | exists:languages,code |
| shop | integer | No | exists:shops,id |
| status | mixed | No | - |
| product_format | mixed | No | - |
List Products
GET /api/v1/manager-core/products/{type}
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| status | integer | Yes | exists:product_statuses,id |
| order | object | No | Sorting (row, desc) |
| filter | object | No | - |
| from | date | No | - |
| to | date | No | - |
Next Serial
GET /api/v1/manager-core/products/{type}/next-serial
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| category_id | integer | No | exists:product_categories,id |
Add Product
POST /api/v1/manager-core/products/{type}/add-product
See controller for full validation rules.
Edit Characteristics
POST /api/v1/manager-core/products/{type}/edit-characterics
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | Product ID |
| characteristics | array | Yes | - |
Edit Prices
POST /api/v1/manager-core/products/edit-prices
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| products | array | Yes | Array of (id, price) |
Edit Externals
POST /api/v1/manager-core/products/edit-external
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| externals | array | Yes | Array of external ID updates |
Edit Products
POST /api/v1/manager-core/products/{type}/edit-products
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| products | array | Yes | Array of product updates |
Edit Translations
POST /api/v1/manager-core/products/edit-product-translation
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | Product ID |
| language | string | Yes | Language code |
| name | string | No | Translated name |
| description | string | No | Translated description |
Edit Variants
POST /api/v1/manager-core/products/{type}/edit-variant
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | Product ID |
| variants | array | Yes | Array of variant updates |
Edit Description
POST /api/v1/manager-core/products/edit-description
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | Product ID |
| description | string | Yes | New description |
Edit Meta
POST /api/v1/manager-core/products/edit-meta
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | Product ID |
| meta_title | string | No | Meta title |
| meta_description | string | No | Meta description |
Delete Product
POST /api/v1/manager-core/products/delete
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | Product ID |
Edit Warehouse Settings
POST /api/v1/manager-core/products/{type}/edit-warehouse
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | Product ID |
| warehouse_id | integer | No | Warehouse ID |
| stock_location | string | No | Stock location |
Sync Manufacturing Operations
POST /api/v1/manager-core/products/manufacturing-operations
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| product_id | integer | Yes | Product ID |
| operations | array | Yes | Array of operation assignments |
Get Product Ingredients
GET /api/v1/manager-core/products/ingredient-stocks/{id}
Parameters:
id(path) - Product ID
Get Warehouse Stock Locations
GET /api/v1/manager-core/products/warehouse-stock-locations/{id}
Parameters:
id(path) - Product ID
Low Stock
GET /api/v1/manager-core/products/low-stock
Get products with low stock.
Dead Stock
GET /api/v1/manager-core/products/dead-stock
Get products with no sales (dead stock).
Forecast
GET /api/v1/manager-core/products/forecast
Get product demand forecast.
Get Product Forecast
GET /api/v1/manager-core/products/{id}/forecast
Parameters:
id(path) - Product ID
Related Products
List Related
GET /api/v1/manager-core/products/related
Get all related product pairs.
Create Related
POST /api/v1/manager-core/products/related
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| product_id | integer | Yes | Product ID |
| related_ids | array | Yes | Array of related product IDs |
Show Related
GET /api/v1/manager-core/products/related/{id}
Parameters:
id(path) - Product ID
Edit Related
POST /api/v1/manager-core/products/related/{id}/edit
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| related_ids | array | Yes | New related product IDs |
Set Related Pairs
POST /api/v1/manager-core/products/related/{id}
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| pairs | array | Yes | Array of (related_id, position) |
Edit Related Page
POST /api/v1/manager-core/products/related/{id}/page
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| page | integer | Yes | Page number |
Delete Related Page
DELETE /api/v1/manager-core/products/related/{id}
Parameters:
id(path) - Product ID
Product History
List History
GET /api/v1/manager-core/products/history
Get all product history.
Get Product History
GET /api/v1/manager-core/products/{id}/history
Parameters:
id(path) - Product ID
Product Components
Get Components
GET /api/v1/manager-core/products/{id}/components
Parameters:
id(path) - Product ID
Update Components
POST /api/v1/manager-core/products/components
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| product_id | integer | Yes | Product ID |
| components | array | Yes | Array of component assignments |
Products Export
GET /api/v1/manager-core/products/{type}/export/{exportType}
Parameters:
type(path) - Product typeexportType(path) - Export format: xlsx, xls, ods, pdf, csv
Ingredients Cost PDF
GET /api/v1/manager-core/products/ingredient-cost/pdf
Generate PDF with ingredient costs.
Manufacturing Operations PDF
GET /api/v1/manager-core/products/manufacturing-operations/pdf
Generate PDF with manufacturing operations.
Ingredients PDF
GET /api/v1/manager-core/products/ingredients/pdf
Generate PDF with product ingredients.
Assets
List Assets
GET /api/v1/manager-core/assets
Create Asset
POST /api/v1/manager-core/assets
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| name | string | Yes | Asset name |
| type | string | Yes | Asset type |
| file | file | Yes | Asset file |
Get Asset
GET /api/v1/manager-core/assets/{id}
Update Asset
PUT /api/v1/manager-core/assets/{id}
Delete Asset
DELETE /api/v1/manager-core/assets/{id}
Search Assets
POST /api/v1/manager-core/assets/search
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| q | string | Yes | Search query |
Asset Categories
List Categories
GET /api/v1/manager-core/assets/categories
Create Category
POST /api/v1/manager-core/assets/categories
Get Category
GET /api/v1/manager-core/assets/categories/{id}
Update Category
PUT /api/v1/manager-core/assets/categories/{id}
Delete Category
DELETE /api/v1/manager-core/assets/categories/{id}